#include <iostream>

using namespace std;

int main()
{

    int n, dva=0;
    cin>>n;
    char c[n];
    cin>>c[0];

    for(int i=1,j=0; i<n; ++i)
    {
         cin>> c[i];

         if( c[i]-c[i-1]==0 )
               dva=1;
        
    }

    if(n<=26)
          cout<<0;
    else if(n<=27)
         cout<<dva+1;
    
    
    return 0;
}